aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNaohiro Aota <naohiro.aota@wdc.com>2023-08-18 11:03:25 +0900
committerZorro Lang <zlang@kernel.org>2023-08-19 02:49:46 +0800
commit697988c94e870a2e9be9b0827078e718ae20995f (patch)
treebf16b957dbcfb363831457b65f35d6ceea78003d
parent515adab889b9b0945b3b67de97cbb61cdb803783 (diff)
downloadxfstests-dev-697988c94e870a2e9be9b0827078e718ae20995f.tar.gz
btrfs/220: do not run async discard test on zoned device
The mount option "discard=async" is not meant to be used on the zoned mode. Skip it from the test. Signed-off-by: Naohiro Aota <naohiro.aota@wdc.com> Reviewed-by: Filipe Manana <fdmanana@suse.com> Signed-off-by: Zorro Lang <zlang@kernel.org>
-rwxr-xr-xtests/btrfs/2204
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/btrfs/220 b/tests/btrfs/220
index 30ca06f603..b092f40bc1 100755
--- a/tests/btrfs/220
+++ b/tests/btrfs/220
@@ -279,7 +279,9 @@ test_revertible_options()
test_should_fail "discard=invalid"
if [ "$enable_discard_sync" = true ]; then
test_roundtrip_mount "discard" "discard" "discard=sync" "discard"
- test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+ if ! _scratch_btrfs_is_zoned; then
+ test_roundtrip_mount "discard=async" "discard=async" "discard=sync" "discard"
+ fi
test_roundtrip_mount "discard=sync" "discard" "nodiscard" "$DEFAULT_NODISCARD_OPTS"
else
test_roundtrip_mount "discard" "discard" "discard" "discard"